javax.websocket.server

## Annotation Type ServerEndpoint

-     @Retention(value=RUNTIME)
      @Target(value=TYPE)
      public @interface ServerEndpoint

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `value` URI or URI-template that the annotated class should be mapped to.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.Class<? extends ServerEndpointConfig.Configurator>` | `configurator`
    `java.lang.Class<? extends Decoder>[]` | `decoders`
    `java.lang.Class<? extends Encoder>[]` | `encoders`
    `java.lang.String[]` | `subprotocols`

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      URI or URI-template that the annotated class should be mapped to.
      Returns:
        The URI or URI-template that the annotated class should be mapped to.

    - #### subprotocols

          public abstract java.lang.String[] subprotocols

      Default:
        {}

    - #### decoders

          public abstract java.lang.Class<? extends Decoder>[] decoders

      Default:
        {}

    - #### encoders

          public abstract java.lang.Class<? extends Encoder>[] encoders

      Default:
        {}

    - #### configurator

          public abstract java.lang.Class<? extends ServerEndpointConfig.Configurator> configurator

      Default:
        javax.websocket.server.ServerEndpointConfig.Configurator.class

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.